.gallery {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(5, 5vw);
  grid-gap: 0.3rem; 
}

.gallery__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.gallery__item {
  position: relative;
  overflow: hidden;
}

.gallery__overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4); /* efek gelap */
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 15px;
  border-radius: 10px;
  pointer-events: none;
}

.gallery__overlay span {
  color: white;
  font-size: 1.5rem;
}

/* Posisi masing-masing item */
.gallery__item--1 {
  grid-column: 1 / span 4;
  grid-row: 1 / span 5;
}

.gallery__item--2 {
  grid-column: 5 / span 4;
  grid-row: 1 / span 3;
}

.gallery__item--3 {
  grid-column: 5 / span 2;
  grid-row: 4 / span 2;
}

.gallery__item--4 {
  grid-column: 7 / span 2;
  grid-row: 4 / span 2;
}

/* Hover effect */
.gallery__item:hover img {
  cursor: pointer;
  opacity: 0.75;
}

/* Overlay untuk gambar ke-4 */
.gallery__item--4::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4); /* semi-gelap */
  border-radius: 10px;
}

.gallery__item--4::after {
  content: "";
  position: absolute;
  bottom: 10px;
  right: 15px;
  font-size: 1.5rem;
  font-weight: bold;
  color: white;
}
